<?xml version="1.0" encoding="UTF-8"?>

<!-- projectname - название проекта - занесется в реестр и будет предложено в качестве папки для установки -->
<!-- urlconf - путь к файлу-конфигурации, если он не задан то для формирования пути будет использовать параметр "url" а имя файла будет именем установочной программы-->
<!-- url - путь к папке с обновлением -->
<!-- id Идентификатор для сравнения пакетов-->
<!-- name Имя пакета-->
<!-- caption Заголовок - который будет представлен в списке, если не задан то будет взят id-->
<!-- descript Описание пакета, если не задан то будет взят  caption  -->
<!-- select -  1- установка пакета и всех его дочерних по умолчанию-->
<!-- filelist - Список файлов-архивов установки-->
<!-- src- файл-архива-->
<!-- files - перечень файлов-архивов для данного пакета-->
<!-- file - описание или ссылка  файл архива -->

<!-- utility - обслуживающие программы пакета (необходимо задавать относительный путь(относит.выбран.папки для установки), обязательно с первым символом "\")-->

<!-- shortcutlist - список ярлыков которые должны быть созданы по окончании установки на "Рабочем столе" и "Пуск/Программы" 
		путь к файлу для которого создается ярлык должен задаваться аналогично  файлам из utility
		иконка и созданного ярлыка будет такая же как у файла, структура вложений создаваемых ярлыка будет создана автомат 
		src - путь к файлу для которого нужен ярлык относит.выбран.папки для установки
		name - расположение ярлыка (относительно папки "Пуск/Программы"), если данный параметр не задан, то ярлык располагается на рабочем столе,
		если задано name= "", то ярлык будет находится непосредст. в списке "Пуск/Программы" 
		если имя name НЕ заканчивается символом "\\" то оно будет присвоено в качестве имени ярлыку -->

<!-- ВАЖНО: Корневой узел(package) т.е. узел содержащий в себе другие узлы(package) не должен содержат ссылки на реально устанавливаемы пакеты(т.е. структурыfiles),
		иначе при не полном выборе его вложенных подузлов его выбор становится не определенным-->
<!-- ВАЖНО: Необходимо учитывать что при последующей установке пакетов поверх уже установленных их список(files) должен быть тем же,
	если в список(files) какого либо пакета внесены изменения - то перед установкой необходимо удалить ранее установленный -->

	
<configuration version="2.0">

<projectname val="Navigator"/>


<filelist>
	<file id="Common" name="Common files" src="Common.zip" __date="2008.06.01 00:00"/>
	<file id="Common.Borland" name="Common borland files" src="Common.Borland.zip" __date="2008.06.01 00:00"/>
	<file id="Device.Drivers" name="Terminal device drivers" src="Device.Drivers.zip" __date="2008.06.01 00:00"/>
	<file id="Device.Connection" name="Terminal device connection files" src="Device.Connection.zip" __date="2008.06.01 00:00"/>
	<file id="Client" name="Client shared files" src="Client.zip" ___date="2008.06.01 00:00"/>
	<file id="Client.Main" name="Client main executable files" src="Client.Main.zip" ___date="2008.06.01 00:00"/>
	<file id="Client.Map" name="Client map files" src="Client.Map.zip" ___date="2008.06.01 00:00"/>
	<file id="Client.Report" name="Client report files" src="Client.Report.zip" ___date="2008.06.01 00:00"/>
	<file id="Client.Template" name="Client report templates" src="Client.Template.zip" ___date="2008.06.01 00:00"/>
	<file id="Server" name="Server main files" src="Server.zip" ___date="2008.06.01 00:00"/>
	<file id="Server.Config" name="Server configuration files" src="Server.Config.zip" ___date="2008.06.01 00:00"/>
	<file id="Server.GPRS" name="Server GPRS service" src="Server.GPRS.zip" ___date="2008.06.01 00:00"/>
	<file id="Server.IB" name="Server Interbase/Firebird storage files" src="Server.IB.zip" ___date="2008.06.01 00:00"/>
	<file id="Server.SQL" name="Server MS SQL storage files" src="Server.SQL.zip" ___date="2008.06.01 00:00"/>
	<file id="Server.Oracle" name="Server Oracle storage files" src="Server.Oracle.zip" ___date="2008.06.01 00:00"/>
	<file id="Server.Notify" name="Server notify extention files" src="Server.Notify.zip" ___date="2008.06.01 00:00"/>
	<file id="Server.Redir" name="Server redirect extention files" src="Server.Redir.zip" ___date="2008.06.01 00:00"/>
	<file id="Utility.Device" name="Terminal device utility" src="Utility.Device.zip" __date="2008.06.01 00:00"/>
	<file id="Utility.Upload" name="Terminal upload utility" src="Utility.Upload.zip" __date="2008.06.01 00:00"/>
	<file id="Utility.Connection" name="Remote connection utility" src="Utility.Connection.zip" __date="2008.06.01 00:00"/>
	<file id="Utility.Console" name="IB/FB Administration Console" src="Utility.Console.zip" __date="2008.06.01 00:00"/>
	<file id="Doc" name="Documentation files" src="Doc.zip" ___date="2008.06.01 00:00"/>
	<file id="World.Main" name="Map database main files" src="World.Main.zip" ___date="2008.06.01 00:00"/>
	<file id="World.Earth" name="Map database earth files" src="World.Earth.zip" ___date="2008.06.01 00:00"/>
	<file id="World.Other" name="Map database other files" src="World.Other.zip" ___date="2008.06.01 00:00"/>
</filelist>

<shortcutlist>
	<shortcut src="Navigator.exe" name="Navigator\Навигатор"/>
	<shortcut src="MonSettings.exe" name="Navigator\Настрйки сервера"/>
</shortcutlist>

<package id="Client" select = "1" caption="Клиент" descript="Установка клиентских компонентов">
	<files>
		<file id="Common"/>
		<file id="Common.Borland"/>
		<file id="Device.Drivers"/>
		<file id="Device.Connection"/>
		<file id="Client"/>
		<file id="Client.Main"/>
		<file id="Client.Map"/>
		<file id="Client.Report"/>
		<file id="Client.Template"/>
		<file id="World.Main"/>
		<file id="World.Earth"/>
		<file id="World.Other"/>
		<file id="Doc"/>
	</files>
</package>

<package id="Server"  caption="Сервер" descript="Установка серверных компонентов">
	<files>
		<file id="Common"/>
		<file id="Common.Borland"/>
		<file id="Device.Drivers"/>
		<file id="Device.Connection"/>
		<file id="Doc"/>
		<file id="Server"/>
		<file id="Server.Config"/>
	</files>
	<package id="Server.IB" caption="Interbase/Firebird" descript="Модули доступа к базе данных Interbase/Firebird">
		<files>
			<file id="Server.IB"/>
		</files>
	</package>
	<package id="Server.SQL" caption="MS SQL" descript="Модули доступа к базе данных MS SQL">
		<files>
			<file id="Server.SQL"/>
		</files>
	</package>
	<package id="Server.Oracle" caption="Oracle" descript="Модули доступа к базе данных Oracle">
		<files>
			<file id="Server.Oracle"/>
		</files>
	</package>
	<package id="Server.GPRS" caption="GPRS служба" descript="GPRS служба для получения навигационных данных через интернет">
		<files>
			<file id="Server.GPRS"/>
		</files>
	</package>
	<package id="Server.Redir" caption="ГУВД" descript="Модуль расширения сервера для взаимодействия с сервером ГУВД">
		<files>
			<file id="Server.Redir"/>
		</files>
	</package>
	<package id="Server.Notify" caption="СМС оповещение" descript="Модуль расширения сервера для СМС оповещения пользователей">
		<files>
			<file id="Server.Notify"/>
		</files>
	</package>
	<utilities>
		<utility caption="Настройка сервера" descript="Настройка компонентов и запуск сервера" src= "\MonSettings.exe MonService.conf-info"/> 
	</utilities>
</package>

<package id="Utility" caption="Инструменты" descript="Дополнительные приложения">
	<package id="Utility.Device" select = "1" caption="NvgSetup" descript="Программа для локальной (через COM, USB, GSM) настройки и тестирования оборудования Навигатор">
		<files>
			<file id="Common"/>
			<file id="Common.Borland"/>
			<file id="Client"/>
			<file id="Device.Drivers"/>
			<file id="Device.Connection"/>
			<file id="Utility.Device"/>
		</files>
	</package>
	<package id="Utility.Upload" select = "1" caption="Загрузчик" descript="Программа удалённой загрузки прошивок для оборудования Навигатор">
		<files>
			<file id="Utility.Upload"/>
		</files>
	</package>
	<package id="Utility.Connection" caption="Connection" descript="Модуль подключения удалённого модема, получение данных через COM/USB">
		<files>
			<file id="Common"/>
			<file id="Device.Connection"/>
			<file id="Utility.Connection"/>
		</files>
	</package>
	<package id="Utility.Console" caption="Console" descript="Консоль управления сервером для Interbase/Firebird (для старого сервера)">
		<files>
			<file id="Common"/>
			<file id="Device.Drivers"/>
			<file id="Utility.Console"/>
		</files>
	</package>
</package>

<!-- Translation interface to specific language-->
<lang id="frmMain">
Caption=Установка
lListPakage.Caption=Содержание установки
lSelectFolder.Caption=Папка для установки
lListPakage.Caption=Содержание установки
lCurrentUser.Caption=Установить для текущего пользователя
lSizePakage_.Caption=Требуется для установки:
lPackageRemove.Caption=Установленные компоненты
lPackageRemoveMark.Caption=Выбирите компоненты для удаления
lSetup.Caption=Установка
lRemove.Caption=Удаление
lCaption.Caption=Лицензионное соглашение
lLicence.Caption=Я принимаю лицензионное соглашение
lStartUtility.Caption=Далее будут запущены следующие приложения
lSuccessfulSetup.Caption=Установка завершена
lUnpuckContent1.Caption=Содержимое пакета:
lUnpuckContent2.Caption=Удаленные компоненты:
lShortcutDesktop.Caption=Создать ярлык на Рабочем столе
lShortcutPrograms.Caption=Создать ярлык в меню Пуск-Программы
bBack.Caption=Назад
bNext.Caption=Далее
bCancel.Caption=Отменить
lFinish.Caption=Завершить
lDiskLabel.Caption=Диск
lDiskTotalSize.Caption=Всего(Мб)
lDiskFreeSpace.Caption=Свободно(Мб)
lAbsent.Caption=файл не найден. Продолжить?
lSetupInternet.Caption=Проверить обновление в интернет
lLoadInetListPackages.Caption=Загрузка пакетов
lLoadContinue.Caption=Продолжить
lLoadPause.Caption=Остановить
lWarning1.Caption=Путь к файлу .conf не найден
lWarning2.Caption=Файл .conf по указанному пути не найден
lWarning3.Caption=Файл .conf не загружен
lCanNotDelete1.Caption=Не могу удалить файл: 
lCanNotDelete2.Caption=Не могу удалить папку: 
</lang>

<lang id="frmConcurFile">
Caption=Установка
lFormCaption1.Caption=Копирование
lFormCaption2.Caption=Внимание
lTextDescription.Caption=В заданную папку установку произвести не удается
bOk.Caption=Ok
lReplaceFileTargect.Caption=Заменить
lReplaceFileSourse.Caption=файлом:
bReplace.Caption=Заменить
bReplaceAll.Caption=Заменить все
bSkipAll.Caption=Пропустить все
bSkip.Caption=Пропустить
lErrorDescription.Caption=ошибка, при распаковке архива. Продолжить?
bYesSelectAct.Caption=Да
bNoSelectAct.Caption=Нет
</lang>
 
</configuration>
